lgt2html(1)

NAME
lgt2html - Logtalk script for converting XML documenting files into (X)HTML files

SYNOPSIS
lgt2html [ -f format ] [ -d directory ] [ -i index ] [ -t title ] [ -p processor ]
lgt2html -h

DESCRIPTION
lgt2html is a Logtalk script for converting all XML documenting files in the current directory into (X)HTML files.

OPTIONS

-f format
    Output file format (either xhtml or html).

-d directory
    Output directory for the generated (X)HTML files.

-i index
    Name of the index file.

-t title
    Title to be used on the index file.

-p processor
    XSLT processor.

REQUIREMENTS
Requires a compatible XSLT processor. See the script help screen for more information.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/tools/lgtdoc/xml/logtalk.dtd
    The Logtalk DTD file.

$LOGTALKUSER/tools/lgtdoc/xml/custom.ent
    The Logtalk custom entities file.

$LOGTALKHOME/tools/lgtdoc/xml/logtalk.xsd
    The Logtalk XML Schema file.

$LOGTALKUSER/tools/lgtdoc/xml/logtalk.css
    The default CSS file for the generated (X)HTML files.

$LOGTALKUSER/tools/lgtdoc/xml/lgthtml.xsl
    The default XSLT file for generating HTML files.

$LOGTALKUSER/tools/lgtdoc/xml/lgtxhtml.xsl
    The default XSLT file for generating XHTML files.

SEE ALSO
The Logtalk website at <http://logtalk.org/>

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

logtalk_user_setup(1), lgt2txt(1), lgt2md(1), lgt2xml(1), lgt2pdf(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2015 Paulo Moura.